-- -*- lua -*-
help([[
AFNI Module
]])

whatis("Name: AFNI")
whatis("Version: 24.11")
whatis("Category: Neuroimaging")
whatis("Description: AFNI (Analysis of Functional NeuroImages) is a set of C programs for processing, analyzing, and displaying functional MRI (FMRI) data.")

-- Set environment variables
local home = os.getenv("HOME")
local afni_dir = "/Users/xuagu37/software/sse/manual/AFNI/24.11"

-- Update PATH
prepend_path("PATH", "/opt/homebrew/opt/python/libexec/bin")
prepend_path("PATH", pathJoin(afni_dir, "abin"))

-- Set R_LIBS
setenv("R_LIBS", pathJoin(afni_dir, "sw/R-4.3.1"))

-- Set up tab completion for AFNI programs
local afni_comp = pathJoin(home, ".afni/help/all_progs.COMP.bash")
if isFile(afni_comp) then
   execute{cmd="source " .. afni_comp, modeA={"load"}}
end
