
module load CMake/3.26.3

export INSTALL_DIR=~/software/sse/manual/ANTs/2.5.4
export BUILD_DIR=~/Downloads/software/sse/manual/ANTs/2.5.4
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget -nc https://github.com/ANTsX/ANTs/archive/refs/tags/v2.5.4.tar.gz
tar xf v2.5.4.tar.gz

mkdir build install
cd build
cmake \
    -DCMAKE_INSTALL_PREFIX=$INSTALL_DIR \
    -DBUILD_SHARED_LIBS=OFF \
    -DUSE_VTK=OFF \
    -DBUILD_TESTING=OFF \
    -DRUN_LONG_TESTS=OFF \
    -DRUN_SHORT_TESTS=OFF \
    ./ANTs-2.5.4 2>&1 | tee cmake.log

make -j 8 2>&1 | tee build.log
cd ANTS-build
make install 2>&1 | tee install.log

# Issue
# https://github.com/rordenlab/dcm2niix/issues/868#issuecomment-2384048363