
export BASE_INSTALL_PATH=/software/sse/manual/AOCL/4.1/AOCL-BLAS/gcc-13.2.0
mkdir -p ${BASE_INSTALL_PATH}
cd ${BASE_INSTALL_PATH}

module rm mpprun/4.1.5
module load GCC/.13.2.0

wget https://github.com/amd/blis/archive/refs/tags/4.1.tar.gz
tar xf 4.1.tar.gz && cd blis-4.1

# Build and install for all threading models while we're at it. Alternatives
# to openmp are "no" and "pthreads". All BLAS interfaces are enabled by
# setting "--enable-cblas". "skx" (Skylake with AVX512) is the arch optimised
# for. If the full 64-bit adress space is needed (ilp64 as opposed to lp64,
# i.e. corresponding to the "-i8" or "-fdefault-integer-8" flags to ifort and
# gfortran), this can be enabled with the option "--blas-int-size=64".
for thr_model in no pthreads openmp; do
    BASE_INSTALL_PATH=${BASE_INSTALL_PATH}/lp64
	if [[ ${thr_model} == "no" ]]; then
		libtype="seq"
	else
		libtype="${thr_model}"
	fi
	./configure --prefix=${BASE_INSTALL_PATH}/${libtype} \
	--enable-cblas \
	-t ${thr_model} \
	CC=gcc \
	zen2
	make -j4 # Plenty fast build
	make check |& tee ../check_${libtype}.log
	make install
done


# for thr_model in no pthreads openmp; do
#     BASE_INSTALL_PATH=${BASE_INSTALL_PATH}/ilp64
# 	if [[ ${thr_model} == "no" ]]; then
# 		libtype="seq"
# 	else
# 		libtype="${thr_model}"
# 	fi
# 	./configure --prefix=${BASE_INSTALL_PATH}/${libtype} \
# 	--enable-cblas \
#     --blas-int-size=64 \
# 	-t ${thr_model} \
# 	CC=gcc \
# 	zen2
# 	make -j4 # Plenty fast build
# 	make check
# 	make install
# done
