conflict("Anaconda")
conflict("Mambaforge")
conflict("Miniforge3")
conflict("LocalColabFold")
conflict("OpenFold")
conflict("HelixFold3")
conflict("PyTorch")
conflict("TensorFlow")

local alphafold_root = "/software/sse/manual/AlphaFold/2.3.2"
local conda_env_root = "/software/sse/manual/AlphaFold/2.3.2/envs/alphafold_2.3.2"


-- Set up the environment by prepending to PATH
prepend_path("PATH", pathJoin(alphafold_root, "scripts"))

-- Set the environment variables
setenv("CONDA_PREFIX", conda_env_root)
setenv("ALPHAFOLD_PREFIX", alphafold_root)
setenv("PYTHONNOUSERSITE", "True")

-- Set Python environment to the specific Conda environment for AlphaFold
prepend_path("PATH", pathJoin(conda_env_root, "bin"))
prepend_path("PYTHONPATH", pathJoin(conda_env_root, "lib/python3.8/site-packages"))

LmodMessage("PYTHONPATH has been set to " .. os.getenv("PYTHONPATH"))
LmodMessage("Please do not modify PYTHONPATH while using this module.")
LmodMessage("")
