
local alphafold_root = "/software/sse2/tetralith_el9/manual/AlphaFold/2.3.1"
local conda_env_root = "/software/sse2/tetralith_el9/manual/AlphaFold/2.3.1/envs/alphafold_2.3.1"

conflict("Anaconda", "Mambaforge")
conflict("LocalColabFold", "OpenFold", "HelixFold3")
conflict("Python", "PyTorch", "TensorFlow")

-- Set up the environment by prepending to PATH
prepend_path("PATH", pathJoin(alphafold_root, "scripts"))

-- Set the environment variables
setenv("CONDA_PREFIX", conda_env_root)
setenv("ALPHAFOLD_PREFIX", alphafold_root)
setenv("PYTHONNOUSERSITE", "True")

-- Set Python environment to the specific Conda environment for AlphaFold
prepend_path("PATH", pathJoin(conda_env_root, "bin"))
prepend_path("PYTHONPATH", pathJoin(conda_env_root, "lib/python3.8/site-packages"))
-- To revolve the error
-- 2024-08-08 13:33:43.237989: W external/org_tensorflow/tensorflow/tsl/platform/default/dso_loader.cc:66] Could not load dynamic library 'libcusolver.so.11'; dlerror: libcusolver.so.11: cannot open shared object file: No such file or directory
-- Added to run_alphafold.sh
-- prepend_path("LD_LIBRARY_PATH", pathJoin(conda_env_root, "lib"))

LmodMessage("PYTHONPATH has been set to " .. os.getenv("PYTHONPATH"))
LmodMessage("Please do not modify PYTHONPATH while using this module.")
LmodMessage("")
