module load Mambaforge/23.3.1-1-hpc1-bdist

export INSTALL_DIR=/software/sse/manual/AlphaFold/574cc74
mkdir -p ${INSTALL_DIR}

# We create a conda env from a yml file.
git clone https://gitlab.liu.se/xuagu37/berzelius-alphafold-guide /tmp/berzelius-alphafold-guide
mamba env create -f /tmp/berzelius-alphafold-guide/alphafold_574cc74.yml -p ${INSTALL_DIR}/envs/alphafold_574cc74
mamba activate ${INSTALL_DIR}/envs/alphafold_574cc74

# To download AlphaFold
cd ${INSTALL_DIR}
git clone https://github.com/google-deepmind/alphafold3 
cd alphafold3 && git checkout 574cc74 && cd ..
rsync -a --remove-source-files alphafold3/ . && rm -rf alphafold3/

# To install dependencies
pip3 install -r ${INSTALL_DIR}/dev-requirements.txt
# To fix: fatal error: zlib.h: No such file or directory
mamba install zlib
pip3 install --no-deps ${INSTALL_DIR}
build_data

chmod -R 755 ${INSTALL_DIR}