module load Mambaforge/23.3.1-1-hpc1-bdist

export INSTALL_DIR=/software/sse/manual/AlphaFold/3.0.0
mkdir -p ${INSTALL_DIR}

# We create a conda env from a yml file.
git clone https://gitlab.liu.se/xuagu37/berzelius-alphafold-guide /tmp/berzelius-alphafold-guide
mamba env create -f /tmp/berzelius-alphafold-guide/alphafold_3.0.0.yml -p ${INSTALL_DIR}/envs/alphafold_3.0.0
mamba activate ${INSTALL_DIR}/envs/alphafold_3.0.0

# To download AlphaFold
wget -O /tmp/v3.0.0.tar.gz https://github.com/google-deepmind/alphafold3/archive/refs/tags/v3.0.0.tar.gz
tar -xf /tmp/v3.0.0.tar.gz -C ${INSTALL_DIR} --strip-components=1

# To install dependencies
pip3 install -r ${INSTALL_DIR}/dev-requirements.txt
# To fix: fatal error: zlib.h: No such file or directory
mamba install zlib
pip3 install --no-deps ${INSTALL_DIR}
build_data

chmod -R 755 ${INSTALL_DIR}