module load Mambaforge/23.3.1-1-hpc1

export INSTALL_DIR=/software/sse2/tetralith_el9/manual/AlphaFold/2.3.2
mkdir -p ${INSTALL_DIR}

# We create a conda env from a yml file.
git clone https://gitlab.liu.se/xuagu37/berzelius-alphafold-guide /tmp/berzelius-alphafold-guide
mamba env create -f /tmp/berzelius-alphafold-guide/alphafold_2.3.2.yml -p ${INSTALL_DIR}/envs/alphafold_2.3.2

# To download AlphaFold
wget -O /tmp/v2.3.2.tar.gz https://github.com/deepmind/alphafold/archive/refs/tags/v2.3.2.tar.gz
tar -xf /tmp/v2.3.2.tar.gz -C ${INSTALL_DIR} --strip-components=1

# To apply OpenMM patch
cd ${INSTALL_DIR}/envs/alphafold_2.3.2/lib/python3.8/site-packages/ 
patch -p0 < ${INSTALL_DIR}/docker/openmm.patch

# To download chemical properties
wget -q -P ${INSTALL_DIR}/alphafold/common/ https://git.scicore.unibas.ch/schwede/openstructure/-/raw/7102c63615b64735c4941278d92b554ec94415f8/modules/mol/alg/src/stereo_chemical_props.txt

# To install the patch
cd /tmp && bash berzelius-alphafold-guide/patch/patch_2.3.2.sh ${INSTALL_DIR}
chmod +x ${INSTALL_DIR}/run_alphafold.sh
ln -s ${INSTALL_DIR}/run_alphafold.sh ${INSTALL_DIR}/scripts/run_alphafold.sh

chmod -R 755 ${INSTALL_DIR}