help([==[

Description
===========
Built to complement the rich, open source Python community,
the Anaconda platform provides an enterprise-ready data analytics platform 
that empowers companies to adopt a modern open data science analytics architecture.

Loading this module only makes available the 'conda' command, with which 
anaconda environments can be created and activated.


More information
================
 - Homepage: https://www.continuum.io/anaconda-overview
]==])

whatis([==[Description: Built to complement the rich, open source Python community,
the Anaconda platform provides an enterprise-ready data analytics platform 
that empowers companies to adopt a modern open data science analytics architecture.
]==])
whatis([==[Homepage: https://www.continuum.io/anaconda-overview]==])

local root = "/software/sse/easybuild/prefix/software/Anaconda3/2021.05-nsc1"
local wrap = "/software/sse/manual/nsc-eb-scripts/1.3/wrapscripts/nsc_condawrap.sh"

setenv("NSC_ANACONDA_PATH",root)
setenv("NSC_ANACONDA_WRAP",wrap)
set_shell_function("conda", "source " .. wrap)

conflict("Python", "AlphaFold", "Miniconda", "Mambaforge")

nsc_message_on_load(
[==[
***************************************************
You have loaded an anaconda module
***************************************************

JUST LOADING THIS MODULE DOES *NOT* CHANGE THE PYTHON VERSION, NOR ENABLES ANY EXTRA PYTHON MODULES.

This module makes available the 'conda' command, with which users can create
named anaconda environments and then activate them. 

To create and use a customized environment use 'conda create ...' and 
then 'conda activate ...' (see example below).

---------------------------------------------------------------------------------------------------
NOTE: NSC strongly advices against placing 'conda activate' (with or without arguments) 
      in your shell initialization files, (e.g. '.bashrc' or '.bash_profile') since this 
      severly alters the environment for running software in ways that cause unpredictable 
      issues that can be difficult to diagnose.
---------------------------------------------------------------------------------------------------

Example usage:

  * Setting up a customized Anaconda environment and run a Python program in it:

    conda create -n myenv python=3.8 scipy=1.5.2
    conda activate myenv
    python my_scipy_python_program.py
 
  * To run the python program in the same environment when logging in the next time:

    conda activate myenv
    python my_scipy_python_program.py

More details on Anaconda environment management here:

 https://docs.conda.io/projects/conda/en/latest/user-guide/tasks/manage-environments.html


]==])

2021.05-nsc1.lua