#!/bin/bash
set -e

# CUDA 10.1
# cuDNN 8.0.5
# NCCL 2.8.3

mkdir -p /software/sse/manual/CUDA/10.1.243_418.87.00
cd /software/sse/manual/CUDA/10.1.243_418.87.00

module purge --force #Gets us the system compiler
wget https://developer.download.nvidia.com/compute/cuda/10.1/Prod/local_installers/cuda_10.1.243_418.87.00_linux.run

export CUDA_INSTALLPATH="/software/sse/manual/CUDA/10.1.243_418.87.00"
export CUDA_HOME="/software/sse/manual/CUDA/10.1.243_418.87.00"
sh ./cuda_10.1.243_418.87.00_linux.run --toolkit --silent --installpath=${CUDA_INSTALLPATH}
rm /tmp/cuda-installer.log


# Get the cuDNN toolkit separately and transfer to your location. You must log in
# on your NVIDIA account at nvidia.com to get access to the download. Now install.
wget -O cudnn-10.1-linux-x64-v8.0.5.39.tgz "https://developer.download.nvidia.com/compute/machine-learning/cudnn/secure/8.0.5/10.1_20201106/cudnn-10.1-linux-x64-v8.0.5.39.tgz?l5VE_asmHJpND5OLzfXCrd0G-Mc3IUagsEZ79XaT6kJcLHEZIB1leK0g-Sk2uiKiVLKt2n4xSqbTfRbAa83HPfLvGC6jpoU-HrWPLKWJUTiw6srjNA1suF6OEiqiXM230H8HWZl3-5AegqDUc8mjNOu8HqD0F3y6w18eTFbV4f1lsHIQaZ1kdXnaMlo9mrNFmslFPpNrTdvCxrs=&t=eyJscyI6ImdzZW8iLCJsc2QiOiJodHRwczovL3d3dy5nb29nbGUuY29tLyJ9"
tar xf cudnn-10.1-linux-x64-v8.0.5.39.tgz
cp cuda/include/cudnn*.h ${CUDA_INSTALLPATH}/include/
cp -P cuda/lib64/libcudnn* ${CUDA_INSTALLPATH}/lib64/
chmod a+r ${CUDA_INSTALLPATH}/include/cudnn*.h ${CUDA_INSTALLPATH}/lib64/libcudnn*
chmod a+r ${CUDA_HOME}/include/cudnn*.h ${CUDA_HOME}/lib64/libcudnn*

# Install the NCCL communication libs and headers.The dist tarball file must be
# downloaded separately at https://developer.download.nvidia.com/compute/redist/nccl/
wget -O nccl_2.8.3-1+cuda10.1_x86_64.txz "https://developer.download.nvidia.com/compute/machine-learning/nccl/secure/2.8.3/agnostic/x64/nccl_2.8.3-1+cuda10.1_x86_64.txz?2FZUDbNoG5XDg3HbaI68MqbdvPCsGClo3UBLsGSP8b5ojApnsz_ANteHd4LU7Ew5_SfuGqj6c6aHv5I38wom09lhvkUsw8JrEuzEC7cDxHJxxZHQNj010jFr7S4YWb8Rzn5NhAK859cBeRp9s5x7vyBusB-eoXOI1qXMnMuQY126CpBajHGZlXjnk1THJOuO27UtisP61Q==&t=eyJscyI6ImdzZW8iLCJsc2QiOiJodHRwczovL3d3dy5nb29nbGUuY29tLyJ9"
tar xf nccl_2.8.3-1+cuda10.1_x86_64.txz 
cd nccl_2.8.3-1+cuda10.1_x86_64
cp -r lib/* ${CUDA_HOME}/lib64/
cp -r include/nccl* ${CUDA_HOME}/include/

# Should there be a need to remove the NCCL installation, this can be done with
# find ${CUDA_HOME}/ -name "*nccl*" -exec rm '{}' \;

# rm -rf cuda_10.1.243_418.87.00_linux.run cudnn-10.1-linux-x64-v8.0.5.39 cudnn-10.1-linux-x64-v8.0.5.39.tar.xz nccl_2.8.3-1+cuda10.1_x86_64 nccl_2.8.3-1+cuda10.1_x86_64.txz
