help([==[

Description
===========
CUDA 11.7.1
cuDNN 8.5.0.96
NCCL 2.14.3

]==])

whatis([==[Description: Just cuda-11.7.1]==])

-- Set up the installation roots of this buildenv
local cudaroot = "/software/sse/manual/CUDA/11.7.1"

conflict("CUDA")

-- Set up CUDA (v. 11.7.1)
prepend_path("CPATH", pathJoin(cudaroot, "include"))
prepend_path("CPATH", pathJoin(cudaroot, "extras/CUPTI/include"))
prepend_path("CPATH", pathJoin(cudaroot, "nvvm/include"))
prepend_path("LIBRARY_PATH", pathJoin(cudaroot, "extras/CUPTI/lib64"))
-- The following LIBRARY_PATH should not be necessary since all stub libraries
-- within have corresponding full libraries in the parent directory, which is
-- put on LIBRARY_PATH below. It was introduced based on a template from a
-- reference installation without enough investigation. In particular, the
-- libcuda.so stub causes problems when RPATH:ed in for instance PyTorch.
-- prepend_path("LIBRARY_PATH", pathJoin(cudaroot, "lib64/stubs"))
prepend_path("LIBRARY_PATH", pathJoin(cudaroot, "lib64"))
prepend_path('PKG_CONFIG_PATH', pathJoin(cudaroot, 'pkgconfig'))
prepend_path("PATH", pathJoin(cudaroot, "bin"))
prepend_path("PATH", pathJoin(cudaroot, "nvvm/bin"))
prepend_path("PATH", cudaroot)
setenv("CUDA_HOME", cudaroot)
setenv("CUDA_ROOT", cudaroot)
setenv("CUDA_PATH", cudaroot)
