#!/bin/bash
set -e

# CUDA 11.8.0
# cuDNN 8.6.0
# NCCL 2.16.5

mkdir -p /software/sse/manual/CUDA/11.8.0_520.61.05
cd /software/sse/manual/CUDA/11.8.0_520.61.05

module purge --force #Gets us the system compiler
wget https://developer.download.nvidia.com/compute/cuda/11.8.0/local_installers/cuda_11.8.0_520.61.05_linux.run
wget https://developer.download.nvidia.com/compute/cuda/11.8.0/docs/sidebar/md5sum.txt
md5sum -c md5sum.txt 2> /dev/null | grep 'cuda_11.8.0_520.61.05_linux.run:'

export CUDA_INSTALLPATH="/software/sse/manual/CUDA/11.8.0_520.61.05"
export CUDA_HOME="/software/sse/manual/CUDA/11.8.0_520.61.05"
sh ./cuda_11.8.0_520.61.05_linux.run --toolkit --silent --installpath=${CUDA_INSTALLPATH}
rm /tmp/cuda-installer.log


# Get the cuDNN toolkit separately and transfer to your location. You must log in
# on your NVIDIA account at nvidia.com to get access to the download. Now install.
wget -O cudnn-linux-x86_64-8.6.0.163_cuda11-archive.tar.xz "https://developer.download.nvidia.com/compute/cudnn/secure/8.6.0/local_installers/11.8/cudnn-linux-x86_64-8.6.0.163_cuda11-archive.tar.xz?g-kuAsRRy0Nb5xKVMzqiRbKeYiu2LkOvMcFPX9YRm22qh7Iks_9OYM3fAOw7fW5yhnF9fk5u8UdWy_9599FPwwpk1DOcqse0yfGrRZCPTRnbO6C15zAadZVu-x3FcFlhlHwi1oNaCjtI2FmBzjF6vlUwxcSd0n0_dfgxbc5fQi1DUaopA-hqLxL2O-wKUOEiILQimMq4cGhCOOXV5S4xHQHi&t=eyJscyI6ImdzZW8iLCJsc2QiOiJodHRwczovL3d3dy5nb29nbGUuY29tLyIsIm5jaWQiOiJlbS1ldmVuLTk0MzQ2OC1oYXRzZDItbmEtbDMifQ=="
tar xf cudnn-linux-x86_64-8.6.0.163_cuda11-archive.tar.xz
cp cudnn-linux-x86_64-8.6.0.163_cuda11-archive/include/cudnn*.h ${CUDA_INSTALLPATH}/include/
cp -P cudnn-linux-x86_64-8.6.0.163_cuda11-archive/lib/libcudnn* ${CUDA_INSTALLPATH}/lib64/
chmod a+r ${CUDA_INSTALLPATH}/include/cudnn*.h ${CUDA_INSTALLPATH}/lib64/libcudnn*
chmod a+r ${CUDA_HOME}/include/cudnn*.h ${CUDA_HOME}/lib64/libcudnn*

# Install the NCCL communication libs and headers.The dist tarball file must be
# downloaded separately at https://developer.download.nvidia.com/compute/redist/nccl/
wget -O nccl_2.16.5-1+cuda11.8_x86_64.txz "https://developer.download.nvidia.com/compute/redist/nccl/v2.16.5/nccl_2.16.5-1+cuda11.8_x86_64.txz"
tar xf nccl_2.16.5-1+cuda11.8_x86_64.txz 
cd nccl_2.16.5-1+cuda11.8_x86_64
cp -r lib/* ${CUDA_HOME}/lib64/
cp -r include/nccl* ${CUDA_HOME}/include/

# Should there be a need to remove the NCCL installation, this can be done with
# find ${CUDA_HOME}/ -name "*nccl*" -exec rm '{}' \;

rm -rf cuda_11.8.0_520.61.05_linux.run cudnn-linux-x86_64-8.6.0.163_cuda11-archive cudnn-linux-x86_64-8.6.0.163_cuda11-archive.tar.xz nccl_2.16.5-1+cuda11.8_x86_64 nccl_2.16.5-1+cuda11.8_x86_64.txz
