
module rm mpprun/4.1.5
module load GCC/.13.2.0
module load OpenMPI/.4.1.6-gcc-13.2.0-cuda-12.1.1

export INSTALL_DIR=/software/sse/manual/FFTW/3.3.10/gcc-13.2.0/openmpi-4.1.6
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget http://www.fftw.org/fftw-3.3.10.tar.gz
tar xf fftw-3.3.10.tar.gz && cd fftw-3.3.10

# First: Build, check and install the double precision libs
./configure --prefix=${INSTALL_DIR} \
--enable-openmp \
--disable-single \
--enable-shared \
--enable-mpi \
--enable-fma --enable-avx --enable-avx2 \
--enable-sse2 --disable-avx512 \
CC=gcc CXX=g++ FC=gfortran F77=gfortran

make -j32
make check |& tee ../check_double.log # All checks passed
make install 
make distclean

# Second: Build, check and install the single precision lib
./configure --prefix=${INSTALL_DIR} \
--enable-single \
--enable-shared \
--enable-fma --enable-avx --enable-avx2 \
--enable-sse2 --disable-avx512 \
CC=gcc CXX=g++ FC=gfortran F77=gfortran

make -j32
make check |& tee ../check_single.log # All checks passed
make install