# This builds the MPI- and PLUMED enabled version of GROMACS. The GROMACS
# binary is called "gmx_mpi" in this case.

module --force purge
module load buildenv-gcccuda/11.8.0-gcc11.3.0
module load CMake/3.22.3-gcc-8.5.0


export INSTALL_DIR=/software/sse/manual/GROMACS/2024.4/gcc-11.3.0/cuda-11.8.0
export BUILD_DIR=/proj/nsc_testing/xuan/software/sse/manual/GROMACS/2024.4/gcc-11.3.0/cuda-11.8.0
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget ftp://ftp.gromacs.org/pub/gromacs/gromacs-2024.4.tar.gz
tar xf gromacs-2024.4.tar.gz
cd gromacs-2024.4
mkdir -p build
cd build

cmake .. \
-D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} \
-D GMX_GPU=CUDA \
-D CMAKE_C_COMPILER=mpicc \
-D CMAKE_CXX_COMPILER=mpicxx \
-D GMX_OPENMP=ON \
-D GMX_MPI=ON \
-D GMX_BUILD_OWN_FFTW=OFF \
-D GMX_FFT_LIBRARY=fftw3 \
-D FFTWF_LIBRARY=/software/sse/manual/FFTW/3.3.10/gcc-11.3.0/openmpi-4.1.4/lib/libfftw3f.so \
-D FFTWF_INCLUDE_DIR=/software/sse/manual/FFTW/3.3.10/gcc-11.3.0/openmpi-4.1.4/include \
-D GMX_BUILD_UNITTESTS=ON \
-D BUILD_TESTING=ON

make -j16
make -j16 check
make install
