module --force purge
#module load buildenv-gcccuda/.cuda-12.1.1-gcc-12.3.0
module load CUDA/.12.2.1
module load GCC/.12.1.0
module load CMake/.3.27.7-gcc-12.1.0 
module load OpenMPI/.4.1.5-gcc-12.1.0-cuda-12.2.1

export INSTALL_DIR=/software/sse/manual/HDF5/1.12.1/gcc-12.1.0
export BUILD_DIR=/proj/nsc_testing/soumi${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://github.com/HDFGroup/hdf5/archive/refs/tags/hdf5-1_12_1.tar.gz
tar -xvzf hdf5-1_12_1.tar.gz
cd hdf5-hdf5-1_12_1

# Configure for parallel build
./configure \
--enable-fortran \
--enable-parallel \
--prefix=${INSTALL_DIR} \
--enable-build-mode=production \
--enable-file-locking=yes \
--enable-optimization="-O2 -g -mavx -mavx2 -mfma" \
CC=mpicc FC=mpifort

make

# Pre-fixes to make the brittle "check" stage not print warnings which ruins
# the output testing (which uses `diff` in a very literal way)
export UCX_LOG_LEVEL=ERROR UCX_MEM_LOG_LEVEL=ERROR UCX_NET_DEVICES=mlx5_0:1
make check

# Make sure the tests all ended OK
echo $?

# Install
make install

