# https://github.com/LucasGasparinoBSC/Docker-sod-new/blob/master/hdf5-nvhpc.sh

module --force purge
module load buildenv-nvhpc/.22.7-cuda-11.7

export INSTALL_DIR=/software/sse/manual/HDF5/1.12.2/nvhpc-22.7
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.12/hdf5-1.12.2/src/hdf5-1.12.2.tar.gz
tar -xvzf hdf5-1.12.2.tar.gz
cd hdf5-1.12.2
make clean
CPP=cpp CFLAGS="-fPIC -m64 -tp=px" CXXFLAGS="-fPIC -m64 -tp=px" FCFLAGS="-fPIC -m64 -tp=px" CC=mpicc CXX=mpic++ FC=mpif90 ./configure --with-zlib --enable-threadsafe --enable-cxx --enable-fortran --enable-unsupported --enable-parallel --enable-shared --prefix=${INSTALL_DIR}

make -j 16
make install