# https://github.com/LucasGasparinoBSC/Docker-sod-new/blob/master/hdf5-nvhpc.sh

module --force purge
module load buildenv-nvhpc/.23.9-cuda-12.2

export INSTALL_DIR=/software/sse/manual/HDF5/1.14.0/nvhpc-23.9
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.14/hdf5-1.14.0/src/hdf5-1.14.0.tar.gz
tar -xvzf hdf5-1.14.0.tar.gz
cd hdf5-1.14.0
make clean
CPP=cpp CFLAGS="-fPIC -m64 -tp=px" CXXFLAGS="-fPIC -m64 -tp=px" FCFLAGS="-fPIC -m64 -tp=px" CC=mpicc CXX=mpic++ FC=mpif90 ./configure --with-zlib --enable-threadsafe --enable-cxx --enable-fortran --enable-unsupported --enable-parallel --enable-shared --prefix=${INSTALL_DIR}

make -j 32
make install