# https://github.com/LucasGasparinoBSC/Docker-sod-new/blob/master/hdf5-nvhpc.sh

module --force purge
module load buildenv-nvhpc/24.5-cuda12.4

export INSTALL_DIR=/software/sse/manual/HDF5/1.14.4/nvhpc-24.5
mkdir -p ${INSTALL_DIR}
cd ${INSTALL_DIR} 

wget https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.14/hdf5-1.14.4/src/hdf5-1.14.4-3.tar.gz
tar -xvzf hdf5-1.14.4-3.tar.gz
cd hdf5-1.14.4-3
make clean
CPP=cpp CFLAGS="-fPIC -m64 -tp=px" CXXFLAGS="-fPIC -m64 -tp=px" FCFLAGS="-fPIC -m64 -tp=px" CC=mpicc CXX=mpic++ FC=mpif90 ./configure --with-zlib --enable-threadsafe --enable-cxx --enable-fortran --enable-unsupported --enable-parallel --enable-shared --prefix=${INSTALL_DIR}

make -j 32
make install