conflict("Anaconda")
conflict("Mambaforge")
conflict("Miniforge3")
conflict("AlphaFold")
conflict("LocalColabFold")
conflict("OpenFold")
conflict("PyTorch")
conflict("TensorFlow")

local helixfold3_root = "/software/sse/manual/HelixFold3/73cd80b"
local conda_env_root = "/software/sse/manual/HelixFold3/73cd80b/envs/helixfold3_73cd80b"


-- Set up the environment by prepending to PATH
prepend_path("PATH", pathJoin(helixfold3_root, "scripts"))

-- Set the environment variables
setenv("CONDA_PREFIX", conda_env_root)
setenv("HELIXFOLD3_PREFIX", helixfold3_root)
setenv("PYTHONNOUSERSITE", "True")

-- Set Python environment to the specific Conda environment for HelixFold3
prepend_path("PATH", pathJoin(conda_env_root, "bin"))
prepend_path("PYTHONPATH", pathJoin(conda_env_root, "lib/python3.9/site-packages"))

-- Set environments for MAXIT
setenv("RCSBROOT", "/software/sse/manual/HelixFold3/73cd80b/maxit-v11.100-prod-src")
prepend_path("PATH", pathJoin(RCSBROOT, "bin"))

LmodMessage("PYTHONPATH has been set to " .. os.getenv("PYTHONPATH"))
LmodMessage("Please do not modify PYTHONPATH while using this module.")
LmodMessage("")
