#!/bin/bash
set -e

module --force purge
module load GCC/.12.3.0
module load CUDA/.12.1.1
module load CMake/.3.27.7-gcc-12.3.0

export INSTALL_DIR=/software/sse/manual/MAGMA/2.7.1/gcc-12.3.0/cuda-12.1.1
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget http://icl.utk.edu/projectsfiles/magma/downloads/magma-2.7.1.tar.gz
tar xf magma-2.7.1.tar.gz && cd magma-2.7.1

mkdir BUILD && cd BUILD

CC=`which gcc` CXX=`which g++` cmake -D GPU_TARGET=Ampere -D CMAKE_CUDA_COMPILER=$(which nvcc) -D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} -D LAPACK_LIBRARIES=/software/sse/manual/OpenBLAS/0.3.23/gcc-12.3.0/openmp/lp64/lib/libopenblas.so ../

make -j32
make install

#I should add that you should do a make test after building magma and then do a make install.
#he make test stage takes a very long time and must be done on a compute node with at leas one GPU allocated to the job.