#!/bin/bash
set -e

module rm mpprun
module load buildenv-gcccuda/.12.1.1-13.2.0
module load CMake/.3.27.7-gcc-13.2.0

export INSTALL_DIR=/software/sse/manual/MAGMA/2.7.1/gcccuda-12.1.1-13.2.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget http://icl.utk.edu/projectsfiles/magma/downloads/magma-2.7.1.tar.gz
tar xf magma-2.7.1.tar.gz && cd magma-2.7.1

mkdir BUILD && cd BUILD

CC=`which gcc` CXX=`which g++` cmake -D GPU_TARGET=Ampere -D CMAKE_CUDA_COMPILER=$(which nvcc) -D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} -D LAPACK_LIBRARIES=/software/sse/manual/OpenBLAS/0.3.24/gcc-13.2.0/openmp/lp64/lib/libopenblas.so ../

#error -- unsupported GNU version! gcc versions later than 12 are not supported! The nvcc flag '-allow-unsupported-compiler' can be used to override this version check; however, using an unsupported host compiler may cause compilation failure or incorrect run time execution. Use at your own risk.

make -j16
make install

#I should add that you should do a make test after building magma and then do a make install.
#he make test stage takes a very long time and must be done on a compute node with at leas one GPU allocated to the job.