#!/bin/bash
set -e

module rm --force mpprun
module load buildenv-gcccuda/.11.7-system-nsc1 
module load CMake/3.22.3 

MODULE_NAME=MAGMA
MODULE_VERSION=2.7.1
GCC_VERSION=8.5.0
CUDA_VERSION=11.7.1
MODULE_INSTALL_DIR=/software/sse/manual/${MODULE_NAME}/${MODULE_VERSION}/g${GCC_VERSION}/cu${CUDA_VERSION}

mkdir -p ${MODULE_INSTALL_DIR}
rm -rf ${MODULE_INSTALL_DIR}/*
cd ${MODULE_INSTALL_DIR}

wget http://icl.utk.edu/projectsfiles/magma/downloads/magma-${MODULE_VERSION}.tar.gz
tar xf magma-${MODULE_VERSION}.tar.gz 

cd magma-${MODULE_VERSION}/
mkdir BUILD
cd BUILD

cmake -D GPU_TARGET=Ampere -D CMAKE_INSTALL_PREFIX=${MODULE_INSTALL_DIR} -D LAPACK_LIBRARIES=/software/sse/manual/OpenBLAS/0.3.19/g83/nsc1/openmp/lp64/lib/libopenblas.so ../

make -j16
make install

#I should add that you should do a make test after building magma and then do a make install.
#he make test stage takes a very long time and must be done on a compute node with at leas one GPU allocated to the job.