conflict("Anaconda")
conflict("Miniforge3")
conflict("AlphaFold")
conflict("LocalColabFold")
conflict("OpenFold")
conflict("HelixFold3")
conflict("PyTorch")
conflict("TensorFlow")
local root = "/software/sse/manual/Mambaforge/23.3.1-1/hpc1-bdist"
local wrappath = pathJoin(root, "nsc_wrapscripts")
local mambawrap = pathJoin(wrappath, "nsc_mambawrap.sh")


setenv("NSC_MAMBAFORGE_PATH",root)
setenv("NSC_MAMBAFORGE_WRAPPATH",wrappath)
setenv("NSC_MAMBAFORGE_MAMBAWRAP",mambawrap)
prepend_path("PATH", wrappath)

set_shell_function("conda", "source " .. mambawrap)
set_shell_function("mamba", "source " .. mambawrap)

nsc_message_on_load(
[==[
***********************************
You have loaded a Mambaforge module
***********************************
---------------------------------------------------------------------------------------------------
NOTE: NSC strongly advices against placing 'mamba activate' (or 'conda activate', with or without 
      arguments)  in your shell initialization files, (e.g. '.bashrc' or '.bash_profile') since 
      this severely alters the environment for running software in ways that cause unpredictable 
      issues that can be difficult to diagnose.
---------------------------------------------------------------------------------------------------
]==])