#!/bin/bash
#
# This script tests the functionality of SLURM+MPI combinations by means of the
# OSU benchmarks. Compile the benchmarks with an appropriate build environment
# and build it with (for instance):
#
module --force purge
module load GCC/.12.1.0
module load CUDA/.12.2.1
module load OpenMPI/.4.1.5-gcc-12.1.0-cuda-12.2.1

export INSTALL_DIR=/software/sse/manual/OSU/7.3/gcc-12.1.0/cuda-12.2.1/openmpi-4.1.5
export BUILD_DIR=/proj/nsc_testing/soumi${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://mvapich.cse.ohio-state.edu/download/mvapich/osu-micro-benchmarks-7.3.tar.gz
tar xf osu-micro-benchmarks-7.3.tar.gz && cd osu-micro-benchmarks-7.3
./configure --enable-cuda --with-cuda=${CUDA_HOME} --prefix=${INSTALL_DIR} CC=mpicc CXX=mpicxx
# ./configure --enable-cuda --enable-ncclomb --with-nccl=${CUDA_HOME} --with-cuda=${CUDA_HOME} --prefix=${INSTALL_DIR} CC=mpicc CXX=mpicxx
make -j32
make install # Installs the binaries under /some/path/libexec/osu-micro-benchmarks/mpi/{pt2pt,one-sided,collective}

## Issues
# With --enable-ncclomb flag, we see the errors:
# multiple definition of `nccl_comm'
# /usr/bin/ld: Dwarf Error: Can't find .debug_ranges section.

