module --force purge
module load CMake/.3.27.7-gcc-12.1.0
module load ld-wrapper/.1.0
module load CUDA/.12.2.1 #compiled with OpenCV 4.9.0 but not with OpenCV 4.8.0 (throwing cuda related errors)
module load OpenBLAS/.0.3.23-gcc-12.1.0

export INSTALL_DIR=/software/sse/manual/OpenCV/4.9.0/gcc-12.1.0
export BUILD_DIR=/proj/nsc_testing/soumi${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}


git clone https://github.com/opencv/opencv
git -C opencv checkout 4.9.0
git clone https://github.com/opencv/opencv_contrib
git -C opencv_contrib checkout 4.9.0
git clone https://github.com/opencv/opencv_extra
git -C opencv_extra checkout 4.9.0

mkdir opencv/BUILD && cd opencv/BUILD
cmake -D OPENCV_EXTRA_MODULES_PATH=../../opencv_contrib/modules \
-D BUILD_JAVA=OFF \
-D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} \
-D WITH_CUDA=ON \
-D OPENCV_DNN_CUDA=ON \
-D CUDA_ARCH_BIN="7.5;8.0" \
-D BUILD_opencv_cudev=ON \
-D CPU_DISPATCH="SSE4_1;SSE4_2;AVX;FP16;AVX2" \
-D BUILD_TESTS=ON \
-D CPU_BASELINE=AVX2 \
-D HDF5_DIR=/software/sse/manual/HDF5/1.12.1/gcc-12.1.0 \
-D HDF5_C_COMPILER_EXECUTABLE=/software/sse/manual/HDF5/1.12.1/gcc-12.1.0/bin/h5pcc \
-D BUILD_TBB=ON \
-D CUDA_ARCH_PTX="7.0;7.5;8.0" \
-D BUILD_TESTS=ON \
-D WITH_GTK=OFF \
-D WITH_GSTREAMER=OFF \
-D WITH_FFMPEG=OFF \
-D WITH_OPENCL=OFF \
-DBUILD_opencv_highgui=OFF \
-DBUILD_EXAMPLES=ON \
-DOPENCV_GENERATE_PKGCONFIG=ON \
-D OpenBLAS_INCLUDE_DIR=/software/sse/manual/OpenBLAS/0.3.23/gcc-12.1.0/sequential/lp64/include \
-D OpenBLAS_LIB=/software/sse/manual/OpenBLAS/0.3.23/gcc-12.1.0/sequential/lp64/lib/libopenblas.so ${BUILD_DIR}/opencv

make -j32
make install
