conflict("Anaconda")
conflict("Mambaforge")
conflict("Miniforge3")
conflict("AlphaFold")
conflict("LocalColabFold")
conflict("HelixFold3")
conflict("PyTorch")
conflict("TensorFlow")

local openfold_root = "/software/sse/manual/OpenFold/2.1.0"
local conda_env_root = "/software/sse/manual/OpenFold/2.1.0/envs/openfold_2.1.0"


-- Set up the environment by prepending to PATH
prepend_path("PATH", pathJoin(openfold_root, "scripts"))

-- Set the environment variables
setenv("CONDA_PREFIX", conda_env_root)
setenv("OPENFOLD_PREFIX", openfold_root)
setenv("PYTHONNOUSERSITE", "True")
setenv("CUTLASS_PATH", pathJoin(openfold_root, "cutlass"))
-- This setting is used to fix a worker assignment issue during data loading
setenv("KMP_AFFINITY", "none")

-- Set Python environment to the specific Conda environment for OpenFold
prepend_path("PATH", pathJoin(conda_env_root, "bin"))
prepend_path("PYTHONPATH", pathJoin(conda_env_root, "lib/python3.8/site-packages"))

LmodMessage("PYTHONPATH has been set to " .. os.getenv("PYTHONPATH"))
LmodMessage("Please do not modify PYTHONPATH while using this module.")
LmodMessage("")