#!/bin/bash
set -e

module --force purge
module load GCC/.11.3.0

export INSTALL_DIR=/software/sse/manual/Python/3.10.1/gcc-11.3.0
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget https://www.python.org/ftp/python/3.10.1/Python-3.10.1.tgz
tar xf Python-3.10.1.tgz && cd Python-3.10.1

./configure \
--prefix=${INSTALL_DIR} \
--enable-optimizations \
--enable-shared \
LDFLAGS='-Wl,-rpath,${INSTALL_DIR}/lib -Wl,-rpath,/software/sse/manual/GCC/11.3.0/lib64'
make -j 32
make install

# Install basic extra packages into this Python location
export PATH=${INSTALL_DIR}/bin:$PATH
python3 -m pip install --no-binary ":all:" pip --upgrade
# python3 -m pip install --no-binary ":all:" Cython pytest hypothesis wheel virtualenv --upgrade

cd ${INSTALL_DIR}/bin
ln -s python3.10 python