#!/bin/bash
set -e

module purge --force #Gets us the system compiler

MODULE_NAME=Python
MODULE_VERSION=3.10.9
GCC_VERSION=8.5.0
MODULE_INSTALL_DIR=/software/sse/manual/${MODULE_NAME}/${MODULE_VERSION}/g${GCC_VERSION}/nsc1

mkdir -p ${MODULE_INSTALL_DIR}
rm -rf ${MODULE_INSTALL_DIR}/*
cd ${MODULE_INSTALL_DIR}

wget https://www.python.org/ftp/python/$MODULE_VERSION/Python-$MODULE_VERSION.tgz
tar xf Python-$MODULE_VERSION.tgz && cd Python-$MODULE_VERSION
module load buildenv-gcccuda/g11.2-cu11.4 

./configure \
--prefix=/software/sse/manual/Python/$MODULE_VERSION/g11.2/nsc1 \
--enable-optimizations \
--enable-shared \
LDFLAGS='-Wl,-rpath,/software/sse/manual/Python/$MODULE_VERSION/g11.2/nsc1/lib -Wl,-rpath,/software/sse/manual/GCC/11.2/nsc1/lib64'
make
make install

# Install basic extra packages into this Python location
export PATH=/software/sse/manual/Python/$MODULE_VERSION/g11.2/nsc1/bin:$PATH
python3 -m pip install --no-binary ":all:" pip --upgrade
python3 -m pip install --no-binary ":all:" Cython pytest hypothesis wheel virtualenv --upgrade