-- -*- lua -*-
-- Module file for Python 3.11.1 built with GCC 11.3.0
-- /software/sse/manual/Python/3.11.1/gcc-11.3.0/3.11.1.lua

-- Define the name and version of the module
local version = "3.11.1"
local base = "/software/sse/manual/Python/" .. version .. "/gcc-11.3.0"

conflict("Anaconda", "Mambaforge")
conflict("AlphaFold", "LocalColabFold", "OpenFold")
conflict("PyTorch", "TensorFlow")

-- Set environment variables
prepend_path("PATH", pathJoin(base, "bin"))
prepend_path("MANPATH", pathJoin(base, "share/man"))
prepend_path("LD_LIBRARY_PATH", pathJoin(base, "lib"))
prepend_path("LIBRARY_PATH", pathJoin(base, "lib"))
prepend_path("CPATH", pathJoin(base, "include"))
prepend_path("PKG_CONFIG_PATH", pathJoin(base, "lib/pkgconfig"))

-- Set additional environment variables if necessary
setenv("PYTHONHOME", base)
setenv("PYTHONPATH", pathJoin(base, "lib/python" .. version))
