# Berzelius Module Builds

A collection of module build files.


## Naming Convention

### Module Names

The module name should follow the format `<software_name>/<version_number>-<feature_tag>-<buildenv_tag>`. 

- Software name should follow the official spell, including the format of lowercase and uppercase letters.
- Version number should follow the format of `X.Y.Z`.
- Feature tag is optional. For long and complicated feature tag, we can use `hpc1` `hpc2` for simplicity.
- Buildenv tag can be `<compiler_name>-<compiler_version>` or `<buildenv_name>-<buildenv_version>`. For binary installation, we use the tag `bdist`. Buildenv tag should always use lowercase letters.

The module Lmod lua file should be created at `/software/sse/manual/<software_name>/<version_number>-<feature_tag>-<buildenv_tag>`.

Example: 

- Module name: `Bazel/5.3.0-gcc-12.3.0`
- Lua file: `/software/sse/modules/Bazel/5.3.0-gcc-12.3.0.lua`

### Installation Directory

The installation directory should follow the format `software_name/version_number/buildenv_tag/feature_tag`.

Examples:

- `Bazel/5.3.2/gcc-12.3.0`
- `OpenMPI/4.1.2/gcc-11.2.0/ofed54-ucx1.12.0-mt-cu11.4`


### Organization of This Repository

This repository contains build instructions and lua files for the modules on Berzelius. For each module:

- The build instructions are save as `<software_name>/<version_number>-<feature_tag>-<buildenv_tag>.sh` 
- The lua file is saved as `<software_name>/<version_number>-<feature_tag>-<buildenv_tag>.lua`

We use the `.sh` file extension just for the sake of editor color scheme which provides a better readability. Please save the build instructions as `.txt` files on Berzelius for the consistency with other clusters at NSC.

