module --force purge
module load buildenv-nvhpc/.22.7-cuda-11.7
module load HDF5/.1.12.2-nvhpc-22.7
module load CMake/.3.23.1-gcc-11.3.0

export INSTALL_DIR=/software/sse/manual/SOD2D/nvhpc-22.7
export BUILD_DIR=/proj/nsc_testing/xuan${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

git clone https://gitlab.com/bsc_sod2d/sod2d_gitlab
mv sod2d_gitlab/* ./ && rm -rf sod2d_gitlab
mkdir build
cd build
# For cpu build, cmake -DUSE_GPU=OFF -DUSE_MPI=ON -DUSE_NCCL=OFF -DTOOL_MESHPART=ON .. 
cmake -DUSE_GPU=ON -DUSE_MPI=ON -DUSE_NCCL=ON ..
make -j 16

mkdir -p ${INSTALL_DIR}/bin  

ln -s ${INSTALL_DIR}/build/tool_meshConversorPar/tool_meshConversorPar ${INSTALL_DIR}/bin/tool_meshConversorPar
ln -s ${INSTALL_DIR}/build/src/app_sod2d/sod2d ${INSTALL_DIR}/bin/sod2d

# Building with ld-wrapper doesn't work for sod2d_gitlab_aver_3D in ticket 280325.
# https://www.nsc.liu.se/software/buildenv/#compiler-wrappers