module --force purge
module load buildenv-nvhpc/.23.9-cuda-12.2
module load HDF5/.1.14.0-nvhpc-23.9
module load CMake/3.22.3-gcc-8.5.0

export ROOT_DIR=/proj/nsc_testing/xuan/ticket_291996
export INSTALL_DIR=/proj/nsc_testing/xuan/ticket_291996/sod2d_gitlab
mkdir -p ${ROOT_DIR} ${INSTALL_DIR}
cd ${ROOT_DIR} 

git clone https://gitlab.com/bsc_sod2d/sod2d_gitlab
cd sod2d_gitlab
mkdir cpu_build gpu_build
cd ${INSTALL_DIR}/cpu_build
rm -rf ./*
cmake -DUSE_GPU=OFF -DUSE_MPI=ON -DUSE_NCCL=OFF -DTOOL_MESHPART=ON ..
make -j 16
mkdir -p ${INSTALL_DIR}/cpu_build/bin  
ln -s ${INSTALL_DIR}/cpu_build/tool_meshConversorPar/tool_meshConversorPar ${INSTALL_DIR}/cpu_build/bin/tool_meshConversorPar
ln -s ${INSTALL_DIR}/cpu_build/src/app_sod2d/sod2d ${INSTALL_DIR}/cpu_build/bin/sod2d

# Compile on a compute node
cd ${INSTALL_DIR}/gpu_build
rm -rf ./*
cmake -DUSE_GPU=ON -DUSE_MPI=ON -DUSE_NCCL=ON -DTOOL_MESHPART=ON ..
make -j 16
mkdir -p ${INSTALL_DIR}/gpu_build/bin  
ln -s ${INSTALL_DIR}/gpu_build/tool_meshConversorPar/tool_meshConversorPar ${INSTALL_DIR}/gpu_build/bin/tool_meshConversorPar
ln -s ${INSTALL_DIR}/gpu_build/src/app_sod2d/sod2d ${INSTALL_DIR}/gpu_build/bin/sod2d


# Building with ld-wrapper doesn't work for sod2d_gitlab_aver_3D in ticket 280325.
# https://www.nsc.liu.se/software/buildenv/#compiler-wrappers