module --force purge
module load GCC/.12.1.0
module load CMake/.3.27.7-gcc-12.1.0
module load OpenMPI/.4.1.5-gcc-12.1.0-cuda-12.2.1
module load OpenBLAS/.0.3.23-gcc-12.1.0.lua

# export \
# LIBRARY_PATH=/software/sse/manual/OpenBLAS/0.3.20/g11.2/nsc1/sequential/lp64/lib:/software/sse/manual/GCC/11.2/nsc1/lib64:/software/sse/manual/OpenMPI/4.1.2/g11.2/ofed54/ucx1.12.0-mt/cu11.4/nsc1/lib:$LIBRARY_PATH \
# PATH=/software/sse/manual/GCC/11.2/nsc1/bin:/software/sse/manual/OpenMPI/4.1.2/g11.2/ofed54/ucx1.12.0-mt/cu11.4/nsc1/bin:$PATH \
# CPATH=/software/sse/manual/OpenBLAS/0.3.20/g11.2/nsc1/sequential/lp64/include:/software/sse/manual/GCC/11.2/nsc1/include:/software/sse/manual/OpenMPI/4.1.2/g11.2/ofed54/ucx1.12.0-mt/cu11.4/nsc1/include:$CPATH

export INSTALL_DIR=/software/sse/manual/ScaLAPACK/2.2.0/gcc-12.1.0/openmpi-4.1.5/openblas-0.3.23
export BUILD_DIR=/proj/nsc_testing/soumi${INSTALL_DIR}
mkdir -p ${INSTALL_DIR} ${BUILD_DIR}
cd ${BUILD_DIR}

wget http://www.netlib.org/scalapack/scalapack-2.2.0.tgz
tar xf scalapack-2.2.0.tgz
mkdir BUILD && cd BUILD

# The extra Fortran FLAG is due to a change from GCC 10 onwards, that turns
# warnings into errors. This was not fixed in this version of ScaLAPACK.
cmake \
-D CMAKE_C_COMPILER=mpicc \
-D CMAKE_Fortran_COMPILER=mpifort \
-D CMAKE_BUILD_TYPE=Release \
-D CMAKE_Fortran_FLAGS_RELEASE="-O2 -DNDEBUG -fallow-argument-mismatch" \
-D BUILD_SHARED_LIBS=ON \
-D BUILD_STATIC_LIBS=ON \
-D CMAKE_INSTALL_PREFIX=${INSTALL_DIR} \
-D MPIEXEC=$(which mpirun) \
-D MPIEXEC_MAX_NUMPROCS=4 \
-D CMAKE_SKIP_BUILD_RPATH=OFF \
-D CMAKE_INSTALL_RPATH_USE_LINK_PATH=ON \
../scalapack-2.2.0

make -j32
make test |& tee ../check.log

#97% tests passed, 2 tests failed out of 70

#Total Test Time (Real) = 3054.87 Sec

#The Following Tests Failed:
#          1 - Xslu (Timeout)
#         17 - Xsllt (Timeout)
#Errors While Running Ctest
#Output From These Tests Are In: /Proj/Nsc_Testing/Soumi/Software/Sse/Manual/Scalapack/2.2.0/Gcc-12.1.0/Openmpi-4.1.5/Openblas-0.3.23/Build/Testing/Temporary/Lasttest.Log
#Use "--Rerun-Failed --Output-On-Failure" To Re-Run The Failed Cases Verbosely.
#Make: *** [Makefile:91: Test] Error 8


salloc --hint=nomultithread -A nsc -N 4 -n 4 -c 16 -t 100 srun --interactive -E --pty /bin/bash -l
make test |& tee ../check2.log # exit job after success (no failed tests)

#97% tests passed, 2 tests failed out of 70

#Total Test time (real) = 3376.63 sec

#The following tests FAILED:
#          1 - xslu (Timeout)
#         17 - xsllt (Timeout)
#Errors while running CTest
#Output from these tests are in: /proj/nsc_testing/soumi/software/sse/manual/ScaLAPACK/2.2.0/gcc-12.1.0/openmpi-4.1.5/openblas-0.3.23/BUILD/Testing/Temporary/LastTest.log
#Use "--rerun-failed --output-on-failure" to re-run the failed cases verbosely.
#make: *** [Makefile:91: test] Error 8
#had to move to log-in node to run make install command
make install

