# Get the tar archive from NVIDIA (need to register and login as a dev) and
# transfer to Berzelius. When integrating with other packages, make sure to match
# the CUDA and cuDNN versions you have installed. Then

TRT_VER="8.2.4.2"
CUDA_VER="11.4"
CUDNN_VER="8.2"
INSTALL_DIR="/software/sse/manual/TensorRT/${TRT_VER}/cu${CUDA_VER}_cudnn${CUDNN_VER}"

mkdir -p ${INSTALL_DIR}
cd ${INSTALL_DIR}
wget -O TensorRT-8.2.4.2.Linux.x86_64-gnu.cuda-11.4.cudnn8.2.tar.gz "https://developer.download.nvidia.com/compute/machine-learning/tensorrt/secure/8.2.4/tars/TensorRT-8.2.4.2.Linux.x86_64-gnu.cuda-11.4.cudnn8.2.tar.gz?6kqcTJBF5fkxSxR-wu9e5O88Y3SS05TkZuG34CtZ6BKHf6AdwbIDPrKv2CFcqbGSDXlvX08APVdED568C8b-iMj5quwPBBPvIIwTdgIfyXdJpwRyahuNcoJjYMIOwovzAAZHR8cw3OqouIqQjRctvDMdXEXT88AmF572NFS84Dvq6vcvKmeDzHwlBku8DNBP6RC4ztqLinQNBjj1h7hng42iCwlOn_VklVBZDd4Z&t=eyJscyI6ImdzZW8iLCJsc2QiOiJodHRwczovL3d3dy5nb29nbGUuY29tLyIsIm5jaWQiOiJlbS1ldmVuLTk0MzQ2OC1oYXRzZDItbmEtbDMifQ=="
tar -xvf TensorRT-${TRT_VER}.Linux.x86_64-gnu.cuda-${CUDA_VER}.cudnn${CUDNN_VER}.tar.gz \
	-C ${INSTALL_DIR} --strip-components=1
