#!/bin/bash
set -e

# Get the tar archive from NVIDIA (need to register and login as a dev) and
# transfer to Berzelius. When integrating with other packages, make sure to match
# the CUDA and cuDNN versions you have installed. Then

MODULE_NAME=TensorRT
MODULE_VERSION="8.6.1.6"
CUDA_VERSION="11.8"
CUDNN_VERSION="8.6"
MODULE_INSTALL_DIR="/software/sse/manual/$MODULE_NAME/${MODULE_VERSION}/cu${CUDA_VERSION}_cudnn${CUDNN_VERSION}"

mkdir -p $MODULE_INSTALL_DIR
rm -rf $MODULE_INSTALL_DIR/*
cd $MODULE_INSTALL_DIR

wget -O $MODULE_NAME-$MODULE_VERSION.Linux.x86_64-gnu.cuda-11.8.tar.gz "https://liuonline-my.sharepoint.com/:u:/g/personal/xuagu37_liu_se/EQHwoAQHHmdFgZjKCvSF99kBDkb2mzSEYNh9Jh-O0d_xJA?e=LT94Jd&download=1"

tar -xvf TensorRT-8.6.1.6.Linux.x86_64-gnu.cuda-11.8.tar.gz -C ${MODULE_INSTALL_DIR} --strip-components=1

rm TensorRT-8.6.1.6.Linux.x86_64-gnu.cuda-11.8.tar.gz

cp TensorRT-${MODULE_VERSION}.lua /software/sse/modules/TensorRT/.${MODULE_VERSION}.lua

