#!/bin/bash
set -e

# Run the test on a compute node
# https://github.com/pytorch/pytorch/wiki/Running-and-writing-tests

MODULE_NAME=PyTorch
MODULE_VERSION=$1
CUDA_VERSION=11.7.1
PYTHON_VERSION=3.10.2 
MODULE_PATH=/software/sse/manual/${MODULE_NAME}/${MODULE_VERSION}/g8/cu${CUDA_VERSION}/py${PYTHON_VERSION}

module load ${MODULE_NAME}/.${MODULE_VERSION}
# MODULE_PATH=$(python -c "import torch; print(torch.__file__)")
# MODULE_PATH=$(echo $MODULE_VERSION | sed 's|\(.*\)/.*|\1|')
# MODULE_PATH=$(echo $MODULE_VERSION | sed 's|\(.*\)/.*|\1|')

echo "Running test for ${MODULE_NAME} ${MODULE_VERSION}"
cd ${MODULE_PATH}
current_time=$(date +"%Y%m%d%H%M%S")

python3 test/test_torch.py |& tee ${MODULE_PATH}/${MODULE_NAME}_${MODULE_VERSION}_test_log_${current_time}.txt

echo "Test log saved at ${MODULE_PATH}/${MODULE_NAME}_${MODULE_VERSION}_test_log_${current_time}.txt"

