#!/bin/bash
set -e

MODULE_NAME=TorchAudio
MODULE_VERSION=$1

echo "Loading ${MODULE_NAME} ${MODULE_VERSION}"  
module load ${MODULE_NAME}/.${MODULE_VERSION}

if [ "$MODULE_VERSION" == "0.13.0" ]; then
  echo "Loading PyTorch 1.13.0"  
  module load PyTorch/.1.13.0
elif [ "$MODULE_VERSION" == "2.0.1" ]; then
  echo "Loading PyTorch 2.0.1"  
  module load PyTorch/.2.0.1
fi


echo "Running test for ${MODULE_NAME} ${MODULE_VERSION}"
python3 -c "import torch; import torchaudio; print(torchaudio.__version__)"