#!/bin/bash
set -e

MODULE_NAME=TorchVision
MODULE_VERSION=$1

echo "Loading ${MODULE_NAME} ${MODULE_VERSION}"  
module load ${MODULE_NAME}/.${MODULE_VERSION}

if [ "$MODULE_VERSION" == "0.14.0" ]; then
  echo "Loading PyTorch 1.13.0"  
  module load PyTorch/.1.13.0
elif [ "$MODULE_VERSION" == "0.15.1" ]; then
  echo "Loading PyTorch 2.0.0"  
  module load PyTorch/.2.0.0
fi

echo "Running test for ${MODULE_NAME} ${MODULE_VERSION}"
python -c "import torch; import torchvision; print(torchvision.__version__)"

