wget https://github.com/openucx/ucx/releases/download/v1.15.0/ucx-1.15.0.tar.gz
tar xf ucx-1.15.0.tar.gz && cd ucx-1.15.0

# Compile on a node where the GDR packages are installed.
interactive -n 1 -c 16 -t 120 -A nsc --gpus 1

# For UCX it's probably prudent to stick with the system compilers. This should not 
module load gcc/system
export CUDA_HOME=/software/sse/manual/CUDA/12.1.1_530.30.02
export CPATH=${CUDA_HOME}/include:/opt/knem-1.1.4.90mlnx1/include:${CPATH}
export PATH=${CUDA_HOME}/bin:/opt/knem-1.1.4.90mlnx1/bin:${PATH}
export LIBRARY_PATH=${CUDA_HOME}/lib64:${CUDA_HOME}/lib64/stubs:${LIBRARY_PATH}
export LIBRARY_PATH=/opt/knem-1.1.4.90mlnx1/lib:${LIBRARY_PATH}
export PKG_CONFIG_PATH=/opt/knem-1.1.4.90mlnx1/lib/pkgconfig:$PKG_CONFIG_PATH
export PKG_CONFIG_PATH=${CUDA_HOME}/pkgconfig:$PKG_CONFIG_PATH
export UCX_INSTALL_PATH=/software/sse/manual/UCX/1.15.0/cu12.1.1/mt

./configure --prefix=${UCX_INSTALL_PATH} \
	--disable-logging \
	--disable-debug \
	--disable-assertions \
	--disable-params-check \
	--with-knem \
	--enable-cma \
	--enable-optimizations \
	--without-java \
	--enable-devel-headers \
	--with-gdrcopy \
	--with-cuda=${CUDA_HOME} \
	--with-iodemo-cuda \
	--with-verbs \
	--enable-mt \
	--enable-ucg

make
make install

# To make sure the fresh UCX build has support for GDR, the following checks on the config should be made
${UCX_INSTALL_PATH}/bin/ucx_info -d | grep -i cuda