#!/bin/bash
set -euo pipefail

# Set version
VSCODE_VERSION="1.99.3"
INSTALL_DIR="/software/sse/manual/VSCode/${VSCODE_VERSION}/bdist"

# Log start
echo "🔧 Installing VS Code version ${VSCODE_VERSION}"
echo "📁 Target directory: ${INSTALL_DIR}"

# Create and move to install directory
mkdir -p "${INSTALL_DIR}"
cd "${INSTALL_DIR}"

# Download VS Code tarball
echo "⬇️  Downloading VS Code..."
curl -L -o vscode.tar.gz "https://update.code.visualstudio.com/${VSCODE_VERSION}/linux-x64/stable"

# Extract and clean up
echo "📦 Extracting VS Code..."
tar --strip-components=1 -xzf vscode.tar.gz
rm vscode.tar.gz

# Confirm completion
echo "✅ VS Code ${VSCODE_VERSION} installed successfully in ${INSTALL_DIR}"
