family("compiler")

help([==[

Description
===========
GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, CUDA for NVIDIA GPU support, OpenBLAS (BLAS and LAPACK support), FFTW and ScaLAPACK.

More information
================
 - Homepage: http://gcc.gnu.org/
]==])

whatis([==[Description: GNU Compiler Collection (GCC) based compiler toolchain, including OpenMPI for MPI support, CUDA for NVIDIA GPU support, OpenBLAS (BLAS and LAPACK support), FFTW, and ScaLAPACK.]==])
whatis([==[Homepage: Homepage: http://gcc.gnu.org/]==])

conflict('buildenv-gnu')
conflict('buildenv-gcc')
conflict('buildenv-gcccuda')
conflict('foss')
conflict('OpenMPI')
conflict('FFTW')
conflict('ScaLAPACK')
-- conflict('ELPA')
conflict("CUDA")

if mode() == 'load' and not isloaded(myModuleFullName()) then
LmodMessage('***************************************************')
LmodMessage('You have loaded a buildenv module')
LmodMessage('***************************************************')
LmodMessage('The buildenv-gcccuda/10.2-8.3.1-bare module makes available:')
LmodMessage(' - GCC Compilers version 8.3.1:')
LmodMessage(' - gcc, g++ and gfortran')
LmodMessage(' - MPI-wrapped compilers:')
LmodMessage('   OpenMPI v. 4.1.1 with mpicc, mpifort, etc.')
LmodMessage(' - Numerical libraries:')
LmodMessage('   + CUDA 10.2')
LmodMessage('   + OpenBLAS 0.3.15 with BLAS and LAPACK')
LmodMessage('   + ScaLAPACK 2.1.0')
LmodMessage('   + FFTW 3.3.9')
LmodMessage('')
LmodMessage('Access to the libraries are contained within the standard')
LmodMessage('environment variables CPATH (headers) and LIBRARY_PATH (libs)')
LmodMessage('which are picked up by default by the compilers')
LmodMessage('')
end

prepend_path("MODULEPATH","/software/sse/supplemental-modules/buildenv-gcccuda/10.2-8.3.1-bare")

if not isloaded("gcc/system") or mode() == "unload" then
	    load("gcc/system")
	    nsc_message_on_load('(This is OK, "gcc/system" is part of the "buildenv-gcccuda/10.2-8.3.1-bare" module)')
	    nsc_message_on_load('')
end

if not isloaded("CUDA/.10.2") or mode() == "unload" then
 	    load("CUDA/.10.2")
end

if not isloaded("OpenMPI/.4.1.1") or mode() == "unload" then
 	    load("OpenMPI/.4.1.1")
end

if not isloaded("FFTW/.3.3.9") or mode() == "unload" then
 	    load("FFTW/.3.3.9")
end

if not isloaded("OpenBLAS/.0.3.15") or mode() == "unload" then
 	    load("OpenBLAS/.0.3.15")
end

if not isloaded("ScaLAPACK/.2.1.0") or mode() == "unload" then
 	    load("ScaLAPACK/.2.1.0")
end

nsc_set_mpivars("gcc")

