## Set the appropriate environment variables for installing NVHPC
export NVHPC_INSTALL_DIR=/software/sse/manual/NVHPC/22.7/bdist/
export NVHPC_SILENT="true"
export NVHPC_INSTALL_TYPE="single"
export NVHPC_VERSION=22.7
export NVHPC_CUDA_VERSION=11.7

mkdir -p ${NVHPC_INSTALL_DIR}
## Download the nvhpc installer
cd ${NVHPC_INSTALL_DIR}
wget https://developer.download.nvidia.com/hpc-sdk/22.7/nvhpc_2022_227_Linux_x86_64_cuda_11.7.tar.gz
tar -xvf nvhpc_2022_227_Linux_x86_64_cuda_11.7.tar.gz

## Run the installer
nvhpc_2022_227_Linux_x86_64_cuda_11.7/install
cd ${NVHPC_INSTALL_DIR}
rm -rf nvhpc_2022_227_Linux_x86_64_cuda_11.7*

## Link to OpenMPI 4.0.5
cd ${NVHPC_INSTALL_DIR}/Linux_x86_64/${NVHPC_VERSION}/comm_libs
rm mpi
ln -s openmpi4/openmpi-4.0.5 mpi 

# ## Link to the corresponding version of nccl and nvshmem
# rm nccl nvshmem
# ln -s ${NVHPC_CUDA_VERSION}/nccl nccl 
# ln -s ${NVHPC_CUDA_VERSION}/nvshmem nvshmem 

