## Set the appropriate environment variables for installing NVHPC
export NVHPC_INSTALL_DIR=/software/sse/manual/NVHPC/23.3/bdist/
export NVHPC_SILENT="true"
export NVHPC_INSTALL_TYPE="single"
export NVHPC_VERSION=23.3
export NVHPC_CUDA_VERSION=11.8

mkdir -p ${NVHPC_INSTALL_DIR}
## Download the nvhpc installer
cd ${NVHPC_INSTALL_DIR}
wget https://developer.download.nvidia.com/hpc-sdk/23.3/nvhpc_2023_233_Linux_x86_64_cuda_multi.tar.gz
tar -xvf nvhpc_2023_233_Linux_x86_64_cuda_multi.tar.gz

## Run the installer
nvhpc_2023_233_Linux_x86_64_cuda_multi/install

## Link to OpenMPI 4.0.5
cd ${NVHPC_INSTALL_DIR}/Linux_x86_64/${NVHPC_VERSION}/comm_libs
rm mpi
ln -s openmpi4/openmpi-4.0.5 mpi 

## Link to the corresponding version of nccl and nvshmem
rm nccl nvshmem
ln -s ${NVHPC_CUDA_VERSION}/nccl nccl 
ln -s ${NVHPC_CUDA_VERSION}/nvshmem nvshmem 

