family("buildenv")

unload("mpprun")

local nvhome = "/software/sse/manual/NVHPC/23.3-bdist"
local target = "Linux_x86_64"
local version = "23.3"
local cuda_version = "11.8"

local nvcudadir = pathJoin(nvhome, target, version, "cuda", cuda_version)
local nvcompdir = pathJoin(nvhome, target, version, "compilers")
local nvmathdir = pathJoin(nvhome, target, version, "math_libs")
local nvcommdir = pathJoin(nvhome, target, version, "comm_libs")

setenv("NVHPC", nvhome)
setenv("NVHPC_ROOT", pathJoin(nvhome, target, version))
setenv("CC", pathJoin(nvcompdir, "bin/nvc"))
setenv("CXX", pathJoin(nvcompdir, "bin/nvc++"))
setenv("FC", pathJoin(nvcompdir, "bin/nvfortran"))
setenv("F90", pathJoin(nvcompdir, "bin/nvfortran"))
setenv("F77", pathJoin(nvcompdir, "bin/nvfortran"))
setenv("CPP", "cpp")
setenv("NVHPC_CUDA_HOME", nvcudadir)
setenv("CUDA_HOME", nvcudadir)
setenv("CUDA_ROOT", nvcudadir)
setenv("CUDA_PATH", nvcudadir)

prepend_path("PATH", pathJoin(nvcudadir, "bin"))
prepend_path("PATH", pathJoin(nvcompdir, "bin"))
prepend_path("PATH", pathJoin(nvcommdir, "mpi/bin"))
prepend_path("PATH", pathJoin(nvcompdir, "extras/qd/bin"))

prepend_path("LD_LIBRARY_PATH", pathJoin(nvcudadir, "lib64"))
prepend_path("LD_LIBRARY_PATH", pathJoin(nvcudadir, "extras/CUPTI/lib64"))
prepend_path("LD_LIBRARY_PATH", pathJoin(nvcompdir, "extras/qd/lib"))
prepend_path("LD_LIBRARY_PATH", pathJoin(nvcompdir, "lib"))
prepend_path("LD_LIBRARY_PATH", pathJoin(nvmathdir, "lib64"))
prepend_path("LD_LIBRARY_PATH", pathJoin(nvcommdir, "mpi/lib"))
prepend_path("LD_LIBRARY_PATH", pathJoin(nvcommdir, "nccl/lib"))
prepend_path("LD_LIBRARY_PATH", pathJoin(nvcommdir, "nvshmem/lib"))

prepend_path("LIBRARY_PATH", pathJoin(nvcudadir, "lib64/stubs"))
prepend_path("LIBRARY_PATH", pathJoin(nvcudadir, "lib64"))
prepend_path("LIBRARY_PATH", pathJoin(nvcudadir, "extras/CUPTI/lib64"))
prepend_path("LIBRARY_PATH", pathJoin(nvcompdir, "extras/qd/lib"))
prepend_path("LIBRARY_PATH", pathJoin(nvcompdir, "lib"))
prepend_path("LIBRARY_PATH", pathJoin(nvmathdir, "lib64"))
prepend_path("LIBRARY_PATH", pathJoin(nvcommdir, "mpi/lib"))
prepend_path("LIBRARY_PATH", pathJoin(nvcommdir, "nccl/lib"))
prepend_path("LIBRARY_PATH", pathJoin(nvcommdir, "nvshmem/lib"))

prepend_path("CPATH", pathJoin(nvcudadir, "include"))
prepend_path("CPATH", pathJoin(nvmathdir, "include"))
prepend_path("CPATH", pathJoin(nvcommdir, "mpi/include"))
prepend_path("CPATH", pathJoin(nvcommdir, "nccl/include"))
prepend_path("CPATH", pathJoin(nvcommdir, "nvshmem/include"))
prepend_path("CPATH", pathJoin(nvcompdir, "extras/qd/include/qd"))

prepend_path("MANPATH", pathJoin(nvcompdir, "man"))

setenv("OPAL_PREFIX", pathJoin(nvcommdir, "mpi"))

-- if not isloaded("FFTW/.3.3.9") or mode() == "unload" then
--  	    load("FFTW/.3.3.9")
-- end


setenv("OMPI_FC", "nvfortran")
setenv("OMPI_F77", "nvfortran")
setenv("OMPI_F90", "nvfortran")
setenv("OMPI_CC", "nvc")
setenv("OMPI_CXX", "nvc++")
setenv("OMPI_MPIF77", "nvfortran")
setenv("OMPI_MPIF90", "nvfortran")
setenv("OMPI_MPICC", "nvc")
setenv("OMPI_MPICXX", "nvc++")
setenv("OMPI_MPIXX", "nvc++")
setenv("MPICH_F77", "nvfortran")
setenv("MPICH_F90", "nvfortran")
setenv("MPICH_CC", "nvc")
setenv("MPICH_CXX", "nvc++")


