family("buildenv")

unload("mpprun")

-- Define the base directory for the NVIDIA HPC SDK
local nvhome = "/software/sse/manual/NVHPC/23.9-bdist"
local nvcudadir = "/software/sse/manual/NVHPC/23.9-bdist/Linux_x86_64/23.9/cuda"
local nccldir = "/software/sse/manual/NVHPC/23.9-bdist/Linux_x86_64/23.9/comm_libs/nccl"

-- Use the function `prepend_path` to add our custom modulefiles directory to the MODULEPATH
prepend_path("MODULEPATH", nvhome .. "/modulefiles")
prepend_path("MODULEPATH", nvhome .. "/Linux_x86_64/23.9/comm_libs/12.2/hpcx/latest/modulefiles")


-- Load the specific module for NVIDIA HPC SDK with HPC-X and CUDA 12 support
load("hpcx")
load("nvhpc-hpcx-cuda12")

setenv("CUDA_HOME", nvcudadir)
setenv("CUDA_ROOT", nvcudadir)
setenv("CUDA_PATH", nvcudadir)
setenv("NCCL_HOME", nccldir)